import Communications
import Foundation
import XCTest

@testable import AmiiboService

final class AmiiboClientTests: XCTestCase {

    // MARK: Properties
    
    private let configuration: URLSessionConfiguration = {
        let configuration = URLSessionConfiguration.ephemeral
        
        configuration.protocolClasses = [MockURLProtocol.self]
        
        return configuration
    }()
    
    private var client: AmiiboClient!
    private var request: MockURLRequest!
    private var response: MockURLResponse!
    
    // MARK: Setup
    
    override func setUp() async throws {
        client = .init(configuration: configuration)
    }
    
    override func tearDown() async throws {
        client = nil
    }
    
    // MARK: Tests
    
    func test_withSomething() async throws {
        // GIVEN
        // WHEN
        // THEN
        XCTFail("Not implemented yet")
    }

}
